# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test62
# FileName:      __init__.py
# Author:       lao_zhao
# Datetime:     2024/9/4 14:01
# Description:
# 
# ---------------------------------------------------------------------------
import logging
import os
import time


def log(name='root'):
    #创建logging对象
    logger = logging.getLogger(name)
    #设置日志级别
    logger.level = logging.INFO
    #日志名称为时间.log
    log_name = time.strftime("%Y-%m-%d-%H-%M-%S",time.localtime())+'.log'
    log_dir = os.path.join(os.path.join(os.path.dirname(__file__),'report'),'log')
    log_path = os.path.join(log_dir,log_name)
    #设置写入日志
    handle = logging.FileHandler(log_path,mode='a',encoding='utf-8')
    #设置显示格式
    formatter = logging.Formatter('%(asctime)s - %(filename)s[line:%(lineno)d] - %(levelname)s: %(message)s -- %(name)s')
    handle.setFormatter(formatter)
    #添加文件对象
    logger.addHandler(handle)
    return logger

log = log()
