# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   study_python
# FileName:      request_method.py
# Author:       xxxxxxx
# Datetime:     2024/9/3 19:40
# Description:
# 命名规范：文件名全小写+下划线，类名大驼峰，方法和变量小写+下划线连接，
# 常量大写，变量和常量用名词，方法用动词
# ---------------------------------------------------------------------------
import requests

from ApiAutoTese_3.common.read_project_ini import Read_Project_Ini


class Request_method:
    def __init__(self):
        self.ini = Read_Project_Ini()
        login_url = self.ini.get_host('bpm_host') + '/auth'
        login_data = {"username": "admin", "password": "Pal0LcFUx+ke5uL88fo7YQzfHZwY5D2Lk76pzG1GjiMLlL6SmA6ls13w2X"
                                                       "zN3iSTHXkyqLuY+VT9W9AVUv3gz+4u97eX2myDxC4o4Ov15QWxTEhrPlN"
                                                       "NZf18zNEdNRstYUcpDYo5pnWI+zHI5TiRUwcTETG9LqC7cidO0u1cFH4="}

        self.req = requests.sessions.Session()
        res = self.req.post(url=login_url,json=login_data)
        token = res.json().get('token')
        self.req.headers['Authorization'] = f"Bearer {res.json().get('token')}"

    def request_all(self,method,url,mime,case_data):
        if mime == 'application/json' or mime == 'json':
            return self.req.request(method= method, url= url, json= case_data)
        elif mime == 'application/x-www-form-urlencoded' or mime == 'form':
            return self.req.request(method=method, url=url, data=case_data)
        elif mime == 'multipart/form-data' or mime == 'form-data':
            return self.req.request(method=method, url=url, files=case_data)
        elif mime == 'query' or mime == 'params':
            return self.req.request(method=method, url=url, params=case_data)
        elif mime == 'query|json' or mime == 'json|query':
            return self.req.request(method=method, url=url, params=case_data['query'],json=case_data['body'])
        elif mime is None:
            return self.req.request(url=url,method=method)

if __name__ == '__main__':
    req = Request_method()
    print(req.request_all(url = 'http://36.139.193.99:8088/auth',
method = 'POST', mime = 'json',
case_data = {'password': 'bF6N3L93cX8pV6x2yEqxNjwIIPaEOYw9bNI5GuIY4g9MeoFyPFPL5WteHaV0LcxQqmDJWlhuCRMXzAPvrFcxJrA8Bg'
                         'GjJpmB1WMrQrazIJPbWbCfmDit2s2jzn+DRerVlYIFojDM96y24drEniwWzHtaJKiWoc7LGL1csNmokvQ=',
             'username': 'a'}))