# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   study_python
# FileName:      conftest.py
# Author:       xxxxxxx
# Datetime:     2024/9/7 11:11
# Description:
# 命名规范：文件名全小写+下划线，类名大驼峰，方法和变量小写+下划线连接，
# 常量大写，变量和常量用名词，方法用动词
# ---------------------------------------------------------------------------
import pytest

from ApiAutoTese_3.common.db import DB
from ApiAutoTese_3.request_method.request_method import Request_method


@pytest.fixture(scope='session')
def fix_req():
    req = Request_method()
    yield req


@pytest.fixture(scope='session')
def fix_db():
    db = DB()
    yield db
    db.close()